Skip to main content
`Ctrl`+`K`

# SVDStoppingThreshold

Routine to determine whether the outer singular value solver iteration must be stopped, according to some threshold for the computed values.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDStoppingThreshold(SVD svd,PetscInt its,PetscInt max_it,PetscInt nconv,PetscInt nsv,SVDConvergedReason *reason,void *ctx)

Collective

## Input Parameters

- svd - the singular value solver context

- its - current number of iterations

- max_it - maximum number of iterations

- nconv - number of currently converged singular triplets (ignored here)

- nsv - number of requested singular triplets (ignored here)

- ctx - context containing additional data (`SVDStoppingCtx`)

## Output Parameter

- reason - result of the stopping test

## Notes

`SVDStoppingThreshold()` will stop when one of the computed singular values is not above/below the threshold given at `SVDSetThreshold()`. If a number of wanted singular values has been specified via `SVDSetDimensions()` then it is also taken into account, and the solver will stop when one of the two conditions (threshold or number of converged values) is met.

Use `SVDSetStoppingTest()` to provide your own test instead of using this one.

## See Also

SVD: Singular Value Decomposition, `SVDSetStoppingTest()`, `SVDStoppingBasic()`, `SVDSetThreshold()`, `SVDSetDimensions()`, `SVDConvergedReason`, `SVDGetConvergedReason()`

## Level

advanced

## Location

src/svd/interface/svddefault.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages